% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/check_phase_configurations.R
\name{generate_all_link_phase_elim_equivalent}
\alias{generate_all_link_phase_elim_equivalent}
\title{Generate all possible linkage phases in matrix form given the dose
and the number of shared alleles between a inserted marker and a
pre-computed linkage configuration.}
\usage{
generate_all_link_phase_elim_equivalent(X, d, sh, ploidy, k1, k2)
}
\arguments{
\item{X}{a list of matrices whose columns represent homologous
chromosomes and the rows represent markers. Each element of the
list represents a linkage phase configuration.}

\item{d}{the dosage of the inserted marker}

\item{sh}{the number of shared alleles between k1 (marker already
present on the sequence) and k2 (the inserted marker)}

\item{ploidy}{the ploidy level}

\item{k1}{marker already present on the sequence}

\item{k2}{inserted marker}
}
\value{
a unique list of matrices representing linkage phases
}
\description{
Generate all possible linkage phases in matrix form given the dose
and the number of shared alleles between a inserted marker and a
pre-computed linkage configuration.
}
\keyword{internal}
